<div class="profile-container">
  <div class="avatar-section">
    <img src="/assets/company.png" alt="Avatar" class="avatar">
    <div class="user-info">
      <h2>{{ company.name }}</h2>
      <p>{{ company.streetAddress }}</p>
      <p>{{ company.postCodeAddress }} {{ company.cityAddress }}</p>
    </div>
  </div>
  <div class="documents-section">
    <input type="file" id="file-upload" (change)="chooseFiles($event)" #fileUpload multiple>
    <button for="file-upload" class="upload-button" (click)="saveDocument(fileUpload)">Upload</button>
    <div class="documents-list">
      <p *ngFor="let documentName of documentNames">{{ documentName }} <button class="load-button" (click)="loadFile(documentName)">Load</button></p>
    </div>
  </div>
</div>
